Request
curl --location 'https://openapi.gs-robot.com/v1alpha1/robots/-/status:batchGet?names=TEST00-0000-000-S003'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {{token}}'
Response
{
"robotStatuses": [
{
"serialNumber": "TEST00-0000-000-S003",
"name": "robots/TEST00-0000-000-S003",
"position": {
"latitude": 0,
"longitude": 0,
"angle": 0
},
"taskState": "OTHER",
"online": true,
"speedKilometerPerHour": 0,
"battery": {
"charging": false,
"powerPercentage": 38
},
"emergencyStop": {
"enabled": false
},
"localizationInfo": {
"localizationState": "LOST",
"map": {
"id": "51839a5c-61a4-46eb-8c9a-5cce50c6845c",
"name": "9-2"
}
},
"executableTasks": [
{
"id": "f6372049-f1ff-4d72-b432-e48edcaeb612",
"name": "execute_task_q",
"map": {
"id": "51839a5c-61a4-46eb-8c9a-5cce50c6845c",
"name": "9-2"
}
},
{
"id": "03e6756c-f3d0-4ed1-82cb-8db319483fc9",
"name": "execute_task_a_a_path0",
"map": {
"id": "51839a5c-61a4-46eb-8c9a-5cce50c6845c",
"name": "9-2"
}
},
{
"id": "5cbf5f19-ad9a-4968-82cf-e3b89bb6c47d",
"name": "execute_task_Z",
"map": {
"id": "51839a5c-61a4-46eb-8c9a-5cce50c6845c",
"name": "9-2"
}
}
],
"cleanModes": [
{
"name": "__middle_cleaning"
},
{
"name": "__heavy_cleaning"
},
{
"name": "轻度"
},
{
"name": "__suction_cleaning"
}
],
"device": {
"vacuum": {
"enabled": false
},
"cleanWaterTank": {
"level": 40
},
"recoveryWaterTank": {
"level": 0
},
"rollingBrush": {
"enabled": false,
"ifPutDown": false
},
"spray": {
"isRunning": false,
"waterLevel": 0
}
},
"workModes": [],
"navStatus": "NAVI_IDLE",
"currentElevatorStatus": "ELEVATOR_CONTROLLER_IDLE",
"latestReportTime": "1777282199509"
}
]
}
Note:
worldXandworldYare effective only when the robot is online. When the robot is offline, world coordinates cannot be calculated and both fields return the default value0. If localization, grid coordinates, or map metadata are unavailable, the coordinates cannot be populated.